Exit-call in libqgis_core

2010-07-01 02:00 AM - Volker Fröhlich

Status: Closed

Priority: Low

Assignee:

Category: Build/Install

Affected QGIS version:master Regression?: No

Operating System: Linux Easy fix?: No

Pull Request or Patch supplied:No Resolution: wontfix

Crashes QGIS or corrupts data:No Copied to github as #: 12914

Description

rpmlint, a program for checking problems in rpm packages tells me the following:

shared-lib-calls-exit /usr/lib64/libqgis_core.so.1.5.0 exit@GLIBC_2.2.5

I suppose, a shared library should not call exit.

I already saw this warning in version 1.4.0.

History

#1 - 2010-07-01 02:10 AM - Jürgen Fischer

- Resolution set to wontfix

- Status changed from Open to Closed

flex or bison does this.

#2 - 2012-06-29 07:08 AM - Volker Fröhlich

- Crashes QGIS or corrupts data set to No

- Affected QGIS version set to master

- Pull Request or Patch supplied set to No

- Assignee deleted (nobody -)

For the sake of completeness:

In 1.8, libqgis_core and libqgis_analysis do so.
